Accept or decline a coverage request
curl --request POST \
--url https://api.shiftkeeper.io/coverage_requests/events/ \
--header 'Content-Type: application/json' \
--header 'x-api-key: <api-key>' \
--data '{}'import requests
url = "https://api.shiftkeeper.io/coverage_requests/events/"
payload = {}
headers = {
"x-api-key": "<api-key>",
"Content-Type": "application/json"
}
response = requests.post(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'POST',
headers: {'x-api-key': '<api-key>', 'Content-Type': 'application/json'},
body: JSON.stringify({})
};
fetch('https://api.shiftkeeper.io/coverage_requests/events/', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"error": {
"code": "not_found",
"status": 404,
"message": "The requested resource was not found"
}
}{
"error": {
"code": "coverage_request_not_pending",
"message": "You cannot accept a coverage request that is not in pending state",
"status": 422,
"docs_url": "https://docs.shiftkeeper.io/api-reference/errors#coverage-request-not-pending"
}
}Coverage
Accept or decline a coverage request
Take an action on a coverage request. The coverage request must be in pending state.
POST
/
coverage_requests
/
events
/
Accept or decline a coverage request
Authorizations
Enter your API key which starts with 'keeper_'
Path Parameters
The ID of the coverage request.
Body
application/json
The action you want to take on the coverage request
Available options:
accept, decline Response
Coverage request event created successfully
⌘I